Skip to main content
PATCH

Update selected modifiable attribute of an identity provider config resource described by the IdentityProviderConfig message.

Authorizations

httpAuth

string
required
HTTP bearer authentication. Send the token as Authorization: Bearer <token>. Ledger API standard JWT token

apiKeyAuth

string
required
API key authentication in the header. Ledger API standard JWT token (websocket)

Path parameters

string
required

Body

application/json
object
required
OpenAPI type: IdentityProviderConfig.The identity provider config to update. Modifiable Required
object
required
OpenAPI type: FieldMask.An update mask specifies how and which properties of the IdentityProviderConfig message are to be updated. An update mask consists of a set of update paths. A valid update path points to a field or a subfield relative to the IdentityProviderConfig message. A valid update mask must: 1. contain at least one update path, 2. contain only valid update paths. Fields that can be updated are marked as Modifiable. For additional information see the documentation for standard protobuf3’s google.protobuf.FieldMask. Required

Responses

200

application/json
IdentityProviderConfig
required
Updated identity provider config Required

400

Invalid value, Invalid value for: body
text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Updated3.5

The PATCH /v2/idps/{idp-id} operation changed in this snapshot.